Subject: [PATCH RFC 04/10] base: power: Add generic OF-based power domain look-up

From: [email-masked] (Kevin Hilman)
Date: Tue, 14 Jan 2014 07:42:26 -0800

Tomasz Figa <[email-masked]> writes:

> This patch introduces generic code to perform power domain look-up using
> device tree and automatically bind devices to their power domains.
> Generic device tree binding is introduced to specify power domains of
> devices in their device tree nodes.
>
> Backwards compatibility with legacy Samsung-specific power domain
> bindings is provided, but for now the new code is not compiled when
> CONFIG_ARCH_EXYNOS is selected to avoid collision with legacy code. This
> will change as soon as Exynos power domain code gets converted to use
> the generic framework in further patch.
>
> Signed-off-by: Tomasz Figa <[email-masked]>

I haven't read through this in detail yet, but wanted to make sure that
the DT representation can handle nested power domains.  At least
SH-mobile has a hierarchy of power domains and the genpd code can handle
that, so wanted to make sure that the DT representation can handle it as
well.

Thanks,

Kevin